Next: RX-Modifiers, Up: RX-Dependent

#### 9.30.1 RX Options

The Renesas RX port of `as` has a few target specfic command line options:

`-m32bit-doubles`
  This option controls the ABI and indicates to use a 32-bit float ABI. It has no effect on the assembled instructions, but it does influence the behaviour of the ‘`.double`’ pseudo-op. This is the default.

`-m64bit-doubles`
  This option controls the ABI and indicates to use a 64-bit float ABI. It has no effect on the assembled instructions, but it does influence the behaviour of the ‘`.double`’ pseudo-op.

`-mbig-endian`
  This option controls the ABI and indicates to use a big-endian data ABI. It has no effect on the assembled instructions, but it does influence the behaviour of the ‘`.short`’, ‘`.hword`’, ‘`.int`’, ‘`.word`’, ‘`.long`’, ‘`.quad`’ and ‘`.octa`’ pseudo-ops.

`-mlittle-endian`
  This option controls the ABI and indicates to use a little-endian data ABI. It has no effect on the assembled instructions, but it does influence the behaviour of the ‘`.short`’, ‘`.hword`’, ‘`.int`’, ‘`.word`’, ‘`.long`’, ‘`.quad`’ and ‘`.octa`’ pseudo-ops. This is the default.

`-muse-conventional-section-names`
  This option controls the default names given to the code (.text), initialised data (.data) and uninitialised data sections (.bss).

`-muse-renesas-section-names`
  This option controls the default names given to the code (.P), initialised data (.D_1) and uninitialised data sections (.B_1). This is the default.

`-msmall-data-limit`
  This option tells the assembler that the small data limit feature of the RX port of GCC is being used. This results in the assembler generating an undefined reference to a symbol called __gp for use by the relocations that are needed to support the small data limit feature. This option is not enabled by default as it would otherwise pollute the symbol table.